import PropTypes from 'prop-types';
import React, { Fragment } from 'react';

export default class Control extends React.Component {
  static propTypes = {
    onChange: PropTypes.func.isRequired,
    forID: PropTypes.string,
    value: PropTypes.node,
    classNameWrapper: PropTypes.string.isRequired,
  }

  state = {
    linkedDropdownValues: ''
  }

  static defaultProps = {
    value: '',
  }

  handleLinkedDropdownChange = (e) => {
    this.setState({ linkedDropdownValues: e.target.value })

  }

  render() {
    const {
      forID,
      value,
      onChange,
      classNameWrapper,
    } = this.props;

    const {
      linkedDropdownValues,
    } = this.state;

    console.log(this.props)

    return (
      <Fragment>
        <input
          type="text"
          id={forID}
          className={classNameWrapper}
          value={linkedDropdownValues || ''}
          onChange={e => this.handleLinkedDropdownChange(e)}
        />
      </Fragment>
    );
  }
}